<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.fatturazione.home.title">Fatturaziones</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-fatturazione" [routerLink]="['/fatturazione/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.fatturazione.home.createLabel">
            Create a new Fatturazione
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="fatturaziones?.length === 0">
        <span jhiTranslate="shoppingonlineApp.fatturazione.home.notFound">No fatturaziones found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="fatturaziones && fatturaziones.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.fatturazione.fattura">Fattura</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let fatturazione of fatturaziones ;trackBy: trackId">
                    <td><a [routerLink]="['/fatturazione', fatturazione.id, 'view']">{{ fatturazione.id }}</a></td>
                    <td>
                        <div *ngIf="fatturazione.fattura">
                            <a [routerLink]="['/fattura', fatturazione.fattura?.id, 'view']" >{{ fatturazione.fattura?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/fatturazione', fatturazione.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/fatturazione', fatturazione.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(fatturazione)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
